<?php
/* 
 * validInscription.php
 * Validation des données saisies dans le formulaire inscription.php
 */

// Suppression des caractères spéciaux
$data = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
//var_dump($data);

// Si le nombre de variables reçues est différents du nombre attendu, retour au formulaire
const NB_VAR = 5; // Nombre de variables attendues
if (count($data)!=NB_VAR) {
    header("location:inscription.php");
    exit();
}

// Contrôles des zones obligatoires
$lib=["Nom", "Prénom", "Adresse de courriel","Login", "Mot de passe"];
$valeurs = array_values($data); 
for($i=0; $i<NB_VAR; $i++) {
    if (strlen(trim($valeurs[$i]))<=0) {
        $message = $lib[$i]." non valide";
        header("location:inscription.php?msg=$message");
        exit();
    }
}

// Contrôle de l'adresse mail
//$mail=filter_input(INPUT_POST, 'ztMail', FILTER_VALIDATE_EMAIL);
$mail=filter_var($data["ztMail"], FILTER_VALIDATE_EMAIL);
if ($mail===false or $mail === null) {
    $message = "Adresse de courriel non valide";
    //echo $message;
    header("location:inscription.php?msg=$message");
    exit();
} 

// Contrôles ok, affichage des données
echo "<h3>Les données de l'inscription sont validées</h3>";
for($i=0; $i<NB_VAR; $i++) {
    echo "$lib[$i] : $valeurs[$i]<br>";
}

// Test
/*$script = "<script>alert(\"Coucou!\")</script>";
$texte = "Bonjour Èric ".$script ;
echo $script;  // Sans filtre
$mess = filter_var($texte, FILTER_SANITIZE_SPECIAL_CHARS);
echo ("<br>texte : $mess"); */

// Ajout de l'utilisateur dans la base de données
require_once('modele/accesBDD.php');
$dbh = connexion();
if (ajouterUtilisateur($dbh, $data['ztNom'], $data['ztPrenom'], $data['ztMail'], $data['ztLogin'], $data['ztMdp'])) {
    $message = "<p>Votre compte a été créé, vous pouvez désormais vous authentifier</p>";
    header("location:index.php?msg=$message");
} else {
    $message = "<p>Désolé, ce login n'est pas possible</p>";
    header("location:inscription.php?msg=$message");
}